<!DOCTYPE html>
<html lang="fr" xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html">
  <head>
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    <meta charset="utf-8">
    <link rel="icon" type="image/png" href="assets/favicon.png">
    <link href="https://fonts.googleapis.com/css?family=DM+Sans&display=swap" rel="stylesheet">
    <title>Fisheye - profil du photographe</title>
  </head>
  <body id="body" class="dark_mode">
    <header>
      <a href="index.html">
        <img
          alt="Fisheye Home Page"
          class="logo"
          src="assets/images/logo.png"
        />
      </a>
    </header>
    <main id="main">
      <div class="photographer-header">
        <div class="photographer_info"></div>
        <button class="contact_button" onclick="displayModal()">Contactez-moi</button>
        <div class="photographer_header_thumbnail"></div>
      </div>
      <div class="filters_wrapper">
        <div class="filter_label" aria-label="filter label">Trier par</div>
        <div class="select_wrapper">
          <div class="filter_select">
            <p id="current_option" aria-live="assertive">Popularité</p>
            <button id="filter_caret" aria-label="filter-toggle"></button>
          </div>
          <div class="select_options" role="tablist">
            <button
              aria-posinset="1"
              aria-setsize="3"
              id="popularity"
              class="select_option"
              role="tab"
            >
              Popularité
            </button>
            <button
              aria-posinset="2"
              aria-setsize="3"
              id="date"
              class="select_option"
              role="tab"
            >
              Date
            </button>
            <button
              aria-posinset="3"
              aria-setsize="3"
              id="title"
              class="select_option"
              role="tab"
            >
              Titre
            </button>
          </div>
        </div>
      </div>
      <div class="photographer_art_pieces">
      </div>
    </main>
    <div id="contact_modal" role="dialog">
			<div class="modal">
				<header id="modal_header">
          <div class="modal_title">
            <h1 id="contact"></h1>
            <button
              aria-label="Fermer la modale"
              onclick="closeModal()"
            ></button>
          </div>
        </header>
				<form id="form">
					<div class="form-input">
						<label>Prénom</label>
						<input id="firstName"/>
					</div>
          <div class="form-input">
            <label>Nom</label>
            <input id="lastName"/>
          </div>
          <div class="form-input">
            <label>Email</label>
            <input id="email"/>
          </div>
          <div class="form-input">
            <label>Votre message</label>
            <textarea
              id="textInput"
              rows="6"
              col="50"
            ></textarea>
          </div>
          <button
            id="submit-button"
            class="contact_button"
            type="submit"
            aria-disabled="true"
            disabled
          >
            Envoyer
          </button>
				</form>
			</div>
		</div>
    <div id="lightbox_modal">
      <div class="lightbox">
        <div class="lightbox_content_wrapper">
          <button id="close_button"></button>
          <div id="arrow_previous">
            <button></button>
          </div>
          <div class="lightbox_content"></div>
          <div id="arrow_next">
            <button></button>
          </div>
        </div>
      </div>
    </div>
    <div id="validation" class="validation-message">
      <div class="content" role="dialog">
        <p>Merci pour votre message, nous l'avons communiqué à l'artiste</p>
        <button
          id="backToMenu"
          class="contact_button"
          type="button"
        >
          Retour à la page
        </button>
      </div>
    </div>
    <script src="scripts/factories/Factory.js"></script>
    <script src="scripts/pages/photographerView.js"></script>
    <script src="scripts/pages/controller.js"></script>
    <script src="scripts/utils/Lightbox.js"></script>
    <script src="scripts/pages/model.js"></script>
    <script src="scripts/utils/contactForm.js"></script>
    <script>
        let controller = new Controller;
        controller.displayPhotographerDetails();
    </script>
  </body>
</html>
